<?php

//use Auth;
use Illuminate\Http\Request;
//use Validator;

class ConfigController extends Controller
{
    public function getIndex() {
        $data = Content::getConfig();
        for($i=1;$i<=5;$i++)
            $data['slide_options'][$i] = $i;
        for($i=1;$i<=3;$i++)
            $data['pricing_options'][$i] = $i;
        $data['theme_options']['standard'] = Content::getStandardThemes();
        $data['theme_options']['custom'] = Content::getCustomThemes();;
        return View::make('config.index')
            ->with('data', $data);
    }

    public function postIndex() {

        $input = Input::all();
        unset($input['_token']);
        if ($input['save_theme_as'] !== '') {
            Content::saveThemeAs($input['save_theme_as']);
            $input['theme'] = 'custom/' . $input['save_theme_as'];
        } else {
            Content::saveTheme($input['theme']);
        }
        Content::saveConfig($input);
        return Redirect::to('config')
            ->with('message', trans('messages.config_updated'));
    }



    public function postCreate() {
        $validator = Validator::make(Input::all(), User::$rules);

        if ($validator->passes()) {
            $user = new User;
            $user->email = Input::get('email');
            $user->password = Hash::make(Input::get('password'));
            $user->save();

            return Redirect::to('admin/login')->with('message', trans('messages.registration_tanks'));
        } else {
            return Redirect::to('admin/register')->with('message', trans('messages.following_errors'))->withErrors($validator)->withInput();
        }
    }


    public function postLogin() {
        if (Auth::attempt(array('email'=>Input::get('email'), 'password'=>Input::get('password')), Input::get('remember'))) {
            return Redirect::to($this->redirectTo)->with('message', trans('messages.you_logged_in'));
        } else {
            return Redirect::to('admin/login')
                ->with('message', trans('messages.login_error'))
                ->withInput();
        }
    }

}


