<?php

class Content extends Eloquent
{
    public static function getAll()
    {
        $config = self::getConfig();
        $text = self::getText();
        $image = self::getImage();
        return compact('config', 'text', 'image');
    }

    public static function saveConfig($data)
    {
//        dd($data);
        $item = Content::where('tag', 'config')->first();
        $item->content = json_encode($data);
        $item->save();
    }

    public static function saveTheme($theme)
    {
        $filesystem = app('Illuminate\Filesystem\Filesystem');
        $data = Content::getConfig();
        if ($data['theme'] != $theme) {
            $filesystem->deleteDirectory('css');
            $filesystem->deleteDirectory('images');
            $filesystem->copyDirectory('themes/' . $theme . '/css', 'css');
            $filesystem->copyDirectory('themes/' . $theme . '/images', 'images');
            // reset slide images
            $image = self::getImage();
            $image['slider'] = array();
            $image['slider'][1] = 'images/bg1.jpg';
            $image['slider'][2] = 'images/bg2.jpg';
            $image['slider'][3] = 'images/bg3.jpg';
            $image['slider'][4] = 'images/bg4.jpg';
            $image['slider'][5] = 'images/bg5.jpg';
            self::saveImage($image);
        }
    }

    public static function saveThemeAs($name)
    {
        $filesystem = app('Illuminate\Filesystem\Filesystem');
        $theme = 'custom/' . $name;
        $filesystem->copyDirectory('css', 'themes/' . $theme . '/css');
        $filesystem->copyDirectory('images', 'themes/' . $theme . '/images');
    }

    public static function getConfig()
    {
        $item = Content::where('tag', 'config')->first();
        return json_decode($item->content, true);
    }

    public static function getStandardThemes()
    {
        $directory = 'themes/standard';
        $data = array_diff(scandir($directory), array('..', '.'));
        foreach ($data as &$v)
            $v = 'standard/' . $v;
        return $data;
    }

    public static function getcustomThemes()
    {
        $directory = 'themes/custom';
        $data = array_diff(scandir($directory), array('..', '.', '.gitkeep'));
        foreach ($data as &$v)
            $v = 'custom/' . $v;
        return $data;
    }


    public static function getText()
    {
        $item = Content::where('tag', 'text')->first();
        return json_decode($item->content, true);
    }

    public static function getImage()
    {
        $item = Content::where('tag', 'image')->first();
        return json_decode($item->content, true);
    }

    public static function saveImage($data)
    {
//        dd($data);
        $item = Content::where('tag', 'image')->first();
        $item->content = json_encode($data);
        $item->save();
    }

    public static function saveText($data)
    {
//        dd($data);
        $item = Content::where('tag', 'text')->first();
        $item->content = json_encode($data);
        $item->save();
    }
}