<?php

/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('admin', function (){
    return Redirect::to('admin/login');
});
Route::get('admin/login', 'AdminController@getLogin');
Route::post('admin/login', 'AdminController@postLogin');


Route::get('admin/register', 'AdminController@getRegister');
Route::post('admin/create', 'AdminController@postCreate');

Route::get('admin/forgot', 'AdminController@getForgot');
Route::post('admin/forgot', 'AdminController@postForgot');

Route::get('/', 'DefaultController@index');
Route::get('thankyou', 'DefaultController@thankyou');
Route::post('email', 'DefaultController@postEmail');

Route::get('install', 'InstallController@index');

Route::group(array('before' => 'auth'), function () {
    Route::get('home', 'HomeController@index');

    Route::get('config', 'ConfigController@getIndex');
    Route::post('config', 'ConfigController@postIndex');

    Route::get('editor', 'EditorController@getIndex');
    Route::post('editor', 'EditorController@postIndex');

    Route::get('admin/logout','AdminController@getLogout');
    Route::get('edit/header','EditController@getHeader');
//    Route::resource('posts', 'PostController');
    Route::get('admin/profile', 'AdminController@getProfile');
    Route::post('admin/profile', 'AdminController@postProfile');

});

