@extends('layouts.app')

@section('htmlheader_title')
    {{--Integrations--}}
@endsection
@section('main-content')
    <div class="row">
        <div class="container">
            <div class="col-md-12">
                {{ HTML::ul($errors->all()) }}

                {{ Form::open(array('url'=>'config', 'class'=>'')) }}

                <h1>{{ trans('app.config') }}</h1>
                <hr>

                <h3>{{ trans('forms.meta_tags') }}</h3>
                <div class="form-group">
                    <label for="page_title">{{ trans('forms.page_title') }}</label>
                    <input class="form-control" type="text" name="page_title" id="page_title" value="{{ $data['page_title'] }}">
                </div>
                <div class="form-group">
                    <label for="page_desc">{{ trans('forms.page_desc') }}</label>
                    <input class="form-control" type="text" name="page_desc" id="page_desc" value="{{ $data['page_desc'] }}">
                </div>

                <hr>

                <h3>{{ trans('forms.sec_settings') }}</h3>
                <div class="form-group">
                    <label for="brand_name">{{ trans('forms.brand_name') }}</label>
                    <input class="form-control" type="text" name="brand_name" id="brand_name" value="{{ $data['brand_name'] }}">
                </div>
                @foreach($data['section'] as $k=>$v)
                    <div class="form-group">
                        <label for="section[{{ $k }}]">{{ trans('forms.section') }}# {{ $k }}</label>
                        <input class="form-control" type="text" name="section[{{ $k }}]" id="section[{{ $k }}]" value="{{ $v }}">
                    </div>
                @endforeach
                <hr>

                <h3>{{ trans('forms.slider_settings') }}</h3>
                <div class="form-group">
                    <label for="n_slides">{{ trans('forms.n_slides') }}</label>
                    {{ Form::select('n_slides', $data['slide_options'], $data['n_slides']) }}
                </div>


                {{--Show Slider
                Autoplay Sliders with   second(s) interval--}}
                <hr>

                <h3>{{ trans('forms.pricing_opt') }}</h3>
                <div class="form-group">
                    <label for="n_slides">
                        {{ trans('forms.n_pricing') }}
                    </label>
                    {{ Form::select('n_pricing', $data['pricing_options'], $data['n_pricing']) }}

                </div>

                <hr>

                <h3>{{ trans('forms.contact_form') }}</h3>
                <div class="checkbox">
                    <label>
                        <input type="hidden" name="show_contact" value="0" />
                        {{  Form::checkbox('show_contact', 1, $data['show_contact']) }}
                        {{ trans('forms.show_contact') }}
                    </label>
                </div>
                <hr>

                <h3>{{ trans('forms.map') }}</h3>
                <div class="checkbox">
                    <label>
                        <input type="hidden" name="show_map" value="0" />
                        {{  Form::checkbox('show_map', 1, $data['show_map']) }}
                        {{ trans('forms.show_map') }}
                    </label>
                </div>
                <div class="form-group">
                    <label for="google_api">{{ trans('forms.google_api') }}</label>
                    <input class="form-control" type="text" name="google_api" id="google_api" value="{{ $data['google_api'] }}">
                </div>
                <div class="form-group">
                    <label for="latitude">{{ trans('forms.latitude') }}</label>
                    <input class="form-control" type="text" name="latitude" id="latitude" value="{{ $data['latitude'] }}">
                </div>
                <div class="form-group">
                    <label for="longitude">{{ trans('forms.longitude') }}</label>
                    <input class="form-control" type="text" name="longitude" id="longitude" value="{{ $data['longitude'] }}">
                </div>
                <div class="form-group">
                    <label for="facebook">{{ trans('forms.facebook') }}</label>
                    <input class="form-control" type="text" name="facebook" id="facebook" value="{{ $data['facebook'] }}">
                </div>
                <div class="form-group">
                    <label for="twitter">{{ trans('forms.twitter') }}</label>
                    <input class="form-control" type="text" name="twitter" id="twitter" value="{{ $data['twitter'] }}">
                </div>
                <div class="form-group">
                    <label for="google">{{ trans('forms.google') }}</label>
                    <input class="form-control" type="text" name="google" id="google" value="{{ $data['google'] }}">
                </div>
                <div class="form-group">
                    <label for="pinterest">{{ trans('forms.pinterest') }}</label>
                    <input class="form-control" type="text" name="pinterest" id="pinterest" value="{{ $data['pinterest'] }}">
                </div>

                <hr>

                <h3>{{ trans('forms.subscription') }}</h3>
                <div class="radio">
                    <label>
                        {{ Form::radio('show_subscription', '0', $data['show_subscription']  == 0) }}
                        {{ trans('forms.subscription_disabled') }}
                    </label>
                    <label>
                        {{ Form::radio('show_subscription', 'aweber', $data['show_subscription']  == 'aweber') }}
                        {{ trans('forms.subscription_aweber') }}
                    </label>
                    <label>
                        {{ Form::radio('show_subscription', 'getresponse', $data['show_subscription']  == 'getresponse') }}
                        {{ trans('forms.subscription_getresponse') }}
                    </label>
                    <label>
                        {{ Form::radio('show_subscription', 'mailchimp', $data['show_subscription']  == 'mailchimp') }}
                        {{ trans('forms.subscription_mailchimp') }}
                    </label>
                </div>

                <div class="form-group">
                    <label for="aweber_id">{{ trans('forms.aweber_id') }}</label>
                    <input class="form-control" type="text" name="aweber_id" id="aweber_id" value="{{ $data['aweber_id'] }}">
                </div>

                <div class="form-group">
                    <label for="getresponse_id">{{ trans('forms.getresponse_id') }}</label>
                    <input class="form-control" type="text" name="getresponse_id" id="aweber_id" value="{{ $data['getresponse_id'] }}">
                </div>

                <div class="form-group">
                    <label for="aweber_id">{{ trans('forms.mailchimp_user_id') }}</label>
                    <input class="form-control" type="text" name="mailchimp_user_id" id="mailchimp_user_id" value="{{ $data['mailchimp_user_id'] }}">
                </div>
                <div class="form-group">
                    <label for="mailchimp_list_id">{{ trans('forms.mailchimp_list_id') }}</label>
                    <input class="form-control" type="text" name="mailchimp_list_id" id="mailchimp_list_id" value="{{ $data['mailchimp_list_id'] }}">
                </div>

                <hr>
                <h3>{{ trans('forms.theme_settings') }}</h3>
                <div class="form-group">
                    <label for="n_slides">
                        {{ trans('forms.cur_theme') }}
                    </label>
                    <select name="theme">
                        <option disabled>Standard Themes</option>
                        @foreach($data['theme_options']['standard'] as $v)
                            <option value="{{ $v }}" {{ $data['theme'] == $v ? 'selected' : '' }}>{{ $v }}</option>
                        @endforeach
                        <option disabled>Custom Themes</option>
                        @foreach($data['theme_options']['custom'] as $v)
                            <option value="{{ $v }}" {{ $data['theme'] == $v ? 'selected' : '' }}>{{ $v }}</option>
                        @endforeach

                    </select>

                </div>
                <hr />
                <div class="form-group">
                    <label for="save_theme_as">{{ trans('forms.save_theme_as') }}</label>
                    {{--<input class="form-control" pattern="[A-Za-z0-9\-]{1,15}" type="text" name="save_theme_as" id="save_theme_as" title="Username should only contain letters/numbers and must be no longer than 15 characters">--}}
                    <input class="form-control" pattern="[A-Za-z0-9\-]+" type="text" name="save_theme_as" id="save_theme_as" title="theme name should only contain letters/numbers and must be no longer than 15 characters">
                </div>
                <hr />
                <i>
                    {{ trans('app.refresh_tip') }}
                </i>
                <hr />


                    {{ Form::submit('Update', array('class'=>'btn btn-large btn-primary btn-block'))}}
                {{ Form::close() }}
            </div>
        </div>
    </div>
@endsection
