<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="{{ $config['page_desc'] }}">
    <meta name="author" content="">
    <link rel="shortcut icon" href="images/favicon.png">
    <title>{{ $config['page_title'] }}</title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css?v=1" rel="stylesheet">
    <link href="css/style.css?v=1" rel="stylesheet">
    <link href="css/animate.css?v=1" rel="stylesheet">
    <link href="css/scrolling-nav.css?v=1" rel="stylesheet">
    <link href="css/bootstrap-social.css?v=1" rel="stylesheet">
    <link href="css/font-awesome/css/font-awesome.min.css?v=1" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <!--[if IE]>
    <link rel="stylesheet" type="text/css" href="css/style_ie.css?v=1"/>
    <![endif]-->
    <script src="js/css3-mediaqueries.js"></script>

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie-emulation-modes-warning.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="js/html5shiv.min.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->

    <link href="alloy-editor/assets/alloy-editor-ocean-min.css" rel="stylesheet">
    <script src="alloy-editor/alloy-editor-all-min.js"></script>
    <link href="assets/css/editor.css" rel="stylesheet">

    {{--<script src="https://maps.googleapis.com/maps/api/js?v=3.15&sensor=false&key=YOUR_API_KEY"></script>--}}
    {{--<script src="https://maps.googleapis.com/maps/api/js?v=3.25&key=AIzaSyB-eoz1mhouYmXW_MnW3rS6_8sKLgyzTY0"></script>--}}
    <script src="https://maps.googleapis.com/maps/api/js?v=3.25&key={{ $config['google_api'] }}"></script>

</head>
<body id="page-top" data-spy="scroll" data-target=".navbar-fixed-top">
<div class="clsWrapper">

    @include('editor.header')

    @include('editor.slider')

    <div class="clsMiddle">

        @include('editor.features')

        @include('editor.testimonials')

        @include('editor.pricing')

        @include('editor.contact')

        @if ($config['show_subscription'])
            @include('editor.subscribe')
        @endif

    </div>	<!--clsMiddle-->

    @include('editor.footer')

</div>	<!--clsWrapper-->

<div class="container">
{{ Form::open(array('url'=>'editor', 'id'=>'mainForm', 'files' => true)) }}
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <hr>
            <h4 class="text-center">{{ trans('app.editor_help') }}</h4>
            <hr>
            <button class="btn btn-success pull-left" id="save">{{ trans('forms.save_changes') }}</button>
            <a href="{{ url('config') }}" class="btn btn-danger pull-right" id="discard">{{ trans('forms.discard_changes') }}</a>
        </div>
    </div>

    <div style="height: 10px;overflow-y:hidden;">
        @for ($i=1;$i<=5;$i++)
            <input name="image[slider][{{ $i }}]" id="image_slider{{ $i }}_file" type="file" style="visibility:hidden" onchange="readURL(this, 'image_slider{{ $i }}');" />
        @endfor

        @for ($i=1;$i<=4;$i++)
            <input name="image[feature][{{ $i }}]" id="image_feature{{ $i }}_file" type="file" style="visibility:hidden" onchange="readURL(this, 'image_feature{{ $i }}');" />
        @endfor

        @for ($i=1;$i<=7;$i++)
            <input name="image[testimonial][{{ $i }}]" id="image_testimonial{{ $i }}_file" type="file" style="visibility:hidden" onchange="readURL(this, 'image_testimonial{{ $i }}');" />
        @endfor

        @for ($i=1;$i<=4;$i++)
            <input name="image[price][{{ $i }}]" id="image_price{{ $i }}_file" type="file" style="visibility:hidden" onchange="readURL(this, 'image_price{{ $i }}');" />
        @endfor

        @for ($i=1;$i<=1;$i++)
            <input name="image[contact][{{ $i }}]" id="image_contact{{ $i }}_file" type="file" style="visibility:hidden" onchange="readURL(this, 'image_contact{{ $i }}');" />
        @endfor

        @for ($i=1;$i<=6;$i++)
            <input name="image[feature][ico][{{ $i }}]" id="image_feature_ico{{ $i }}_hidden" type="hiden" value="{{ $image['feature']['ico'][$i] }}" />
        @endfor
        @for ($i=1;$i<=9;$i++)
            <input name="image[price][ico][{{ $i }}]" id="image_price_ico{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=5;$i++)
            <input name="text[slider][{{ $i }}]" id="text_slider{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=9;$i++)
            <input name="text[feature][{{ $i }}]" id="text_feature{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=7;$i++)
            <input name="text[testimonial][{{ $i }}]" id="text_testimonial{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=15;$i++)
            <input name="text[price][{{ $i }}]" id="text_price{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=4;$i++)
            <input name="text[contact][{{ $i }}]" id="text_contact{{ $i }}_hidden" type="hiden" />
        @endfor
        @for ($i=1;$i<=1;$i++)
            <input name="text[subscribe][{{ $i }}]" id="text_subscribe{{ $i }}_hidden" type="hiden" />
        @endfor

    </div>
    {{ Form::close() }}
</div>
 {{--invisible data form--}}



<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="js/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="js/bootstrap.min.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="js/ie10-viewport-bug-workaround.js"></script>
<script src="js/carousel.js"></script>

<script src="js/parallax.js"></script>

<!-- Scrolling Nav JavaScript -->
<script src="js/jquery.easing.min.js"></script>
<script src="js/scrolling-nav.js"></script>

<!-- latest jQuery, Boostrap JS and hover dropdown plugin -->
<script src="js/twitter-bootstrap-hover-dropdown.js"></script>
<script>
    $(document).ready(function() {
        $('.js-activated').dropdownHover().dropdown();

        $("#img").on('dblclick', function() {
            $('#myInput').click();
        });

        $(".feature-image").on('click', function() {
        $("#featureWrap").attr('data-feature-checked', $(".feature-image").index($(this)));
            $("#icons-lightbox").show();
        });

        $(".icon-container").on('click', function() {
            $(".feature-image").eq($("#featureWrap").attr('data-feature-checked')).removeClass().addClass('fa ' + $(this).text() + ' icon feature-image');
            $("#icons-lightbox").hide();
//            location.hash = "#Features";
            location.hash = "#page-top";
            location.hash = "#Features";

        });

        $("#close-icons-lightbox").on('click', function() {
            $("#icons-lightbox").hide();
        });

        $("#contact-location").css('height', '390px');


        $("#mainForm").submit(function(event){
//            event.preventDefault();
            for (i=1;i<=5;i++){
                if (typeof text_slider[i] !== 'undefined')
                    $('#text_slider' + i + '_hidden').val(text_slider[i].get('nativeEditor').getData());
            }
            for (i=1;i<=9;i++){
                $('#text_feature' + i + '_hidden').val(text_feature[i].get('nativeEditor').getData());
            }
            for (i=1;i<=7;i++){
                $('#text_testimonial' + i + '_hidden').val(text_testimonial[i].get('nativeEditor').getData());
            }
            for (i=1;i<=15;i++){
                if (typeof text_price[i] !== 'undefined')
                    $('#text_price' + i + '_hidden').val(text_price[i].get('nativeEditor').getData());
            }
            for (i=1;i<=4;i++){
                if (typeof text_contact[i] !== 'undefined')
                    $('#text_contact' + i + '_hidden').val(text_contact[i].get('nativeEditor').getData());
            }

            for (i=1;i<=6;i++){
                if($('#image_feature_ico' + i).length) {
                    var a = $('#image_feature_ico' + i).attr("class").split(' ', 2);
                    $('#image_feature_ico' + i + '_hidden').val(a[1]);
                }
            }

            for (i=1;i<=9;i++){
                if($('#image_price_ico' + i).length) {
                    var a = $('#image_price_ico' + i).attr("src");
                    $('#image_price_ico' + i + '_hidden').val(a);
                }
            }
        });
    });
</script>

<script>
    var config = {
        toolbars: {
            styles: {
                selections: AlloyEditor.Selections,
                tabIndex: 1
            }
        }
    };
//    Set All Editable regions
    var text_slider = [];
    @for ($i = 1; $i <= $config['n_slides']; $i++)
        text_slider[{{ $i }}] = AlloyEditor.editable('text_slider{{ $i }}', config);
    @endfor
    var text_feature = [];
    @for ($i = 1; $i <= 9; $i++)
        text_feature[{{ $i }}] = AlloyEditor.editable('text_feature{{ $i }}', config);
    @endfor
    var text_testimonial = [];
    @for ($i = 1; $i <= 7; $i++)
        text_testimonial[{{ $i }}] = AlloyEditor.editable('text_testimonial{{ $i }}', config);
    @endfor
    var text_price = [];
    @for ($i = 1; $i <= 16; $i++)
        if ($('#text_price' + {{ $i }}).length)
            text_price[{{ $i }}] = AlloyEditor.editable('text_price{{ $i }}', config);
    @endfor
    var text_contact = [];
    @for ($i = 1; $i <= 4; $i++)
        if ($('#text_contact' + {{ $i }}).length)
            text_contact[{{ $i }}] = AlloyEditor.editable('text_contact{{ $i }}', config);
    @endfor
    var text_subscribe = [];
    @for ($i = 1; $i <= 4; $i++)
        if ($('#text_subscribe' + {{ $i }}).length)
            text_subscribe[{{ $i }}] = AlloyEditor.editable('text_subscribe{{ $i }}', config);
    @endfor

//    var text_featureWrap = AlloyEditor.editable('featureWrap', config);
//    var text_pricing = AlloyEditor.editable('text_pricing', config);
    //        var editor1 = AlloyEditor.editable('description');
//    var editor1 = AlloyEditor.editable('f1-editor');
//    var editor1 = AlloyEditor.editable('f2-editor');
//    var editor23 = AlloyEditor.editable('bs-example-navbar-collapse-1');
    //        var editor3 = AlloyEditor.editable('headline');

    function changeIcon(el) {
        if (el.src.indexOf('images/wrong_ico.png') == -1)
            el.src = 'images/wrong_ico.png';
        else
            el.src = 'images/right_ico.png';
    }

    google.maps.event.addDomListener(window, 'load', function () {
        var myLatlng = new google.maps.LatLng({{ $config['latitude'] }}, {{ $config['longitude'] }});
        var styles = [{"stylers":[{"hue":"#dd0d0d"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":50},{"visibility":"simplified"}]}];

        var map = new google.maps.Map(document.getElementById('contact-location'), {
            zoom: 10,
            scrollwheel: false,
            center: myLatlng,
            styles: styles
        });

        var marker = new google.maps.Marker({
            position: myLatlng,
            map: map
        });
    });

    function readURL(input, image) {

        if (input.files && input.files[0]) {
            var reader = new FileReader();

            reader.onload = function (e) {
                if ($('#' + image).prop('tagName').toLowerCase()=='div')
                    $('#' + image).css("background-image", "url('" + e.target.result + "')");
                else
                    $('#' + image).attr('src', e.target.result);
            }

            reader.readAsDataURL(input.files[0]);
        }
    }
</script>
</body>
</html>