<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="{{ $config['page_desc'] }}">
    <meta name="author" content="">
    <link rel="shortcut icon" href="images/favicon.png">
    <title>{{ $config['page_title'] }}</title>

    <!-- Bootstrap -->
    <link href="css/bootstrap.min.css?v=1" rel="stylesheet">
    <link href="css/style.css?v=1" rel="stylesheet">
    <link href="css/animate.css?v=1" rel="stylesheet">
    <link href="css/scrolling-nav.css?v=1" rel="stylesheet">
    <link href="css/bootstrap-social.css?v=1" rel="stylesheet">
    <link href="css/font-awesome/css/font-awesome.min.css?v=1" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Lato" rel="stylesheet">
    <!--[if IE]>
    <link rel="stylesheet" type="text/css" href="css/style_ie.css?v=1"/>
    <![endif]-->
    <script src="js/css3-mediaqueries.js"></script>

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie-emulation-modes-warning.js"></script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
    <script src="js/html5shiv.min.js"></script>
    <script src="js/respond.min.js"></script>
    <![endif]-->

    {{--<script src="https://maps.googleapis.com/maps/api/js?v=3.15&sensor=false&key=YOUR_API_KEY"></script>--}}
    <script src="https://maps.googleapis.com/maps/api/js?v=3.25&key={{ $config['google_api'] }}"></script>

</head>
<body id="page-top" data-spy="scroll" data-target=".navbar-fixed-top">
<div class="clsWrapper">

    @include('site.header')

    @include('site.slider')

    <div class="clsMiddle">

        @include('site.features')

        @include('site.testimonials')

        @include('site.pricing')

        @if ($config['show_contact'])
            @include('site.contact')
        @endif

        @if ($config['show_subscription'])
            @include('site.subscribe')
        @endif

    </div>	<!--clsMiddle-->

    @include('site.footer')

</div>	<!--clsWrapper-->



<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
<script src="js/jquery.min.js"></script>
<!-- Include all compiled plugins (below), or include individual files as needed -->
<script src="js/bootstrap.min.js"></script>
<!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
<script src="js/ie10-viewport-bug-workaround.js"></script>
<script src="js/carousel.js"></script>

<script src="js/parallax.js"></script>

<!-- Scrolling Nav JavaScript -->
<script src="js/jquery.easing.min.js"></script>
<script src="js/scrolling-nav.js"></script>

<!-- latest jQuery, Boostrap JS and hover dropdown plugin -->
<script src="js/twitter-bootstrap-hover-dropdown.js"></script>
<script>
    $(document).ready(function() {
        $('.js-activated').dropdownHover().dropdown();
        $("#contact-location").css('height', '390px');
    });
</script>

<script>
    google.maps.event.addDomListener(window, 'load', function () {
        var myLatlng = new google.maps.LatLng({{ $config['latitude'] }}, {{ $config['longitude'] }});
        var styles = [{"stylers":[{"hue":"#dd0d0d"}]},{"featureType":"road","elementType":"labels","stylers":[{"visibility":"off"}]},{"featureType":"road","elementType":"geometry","stylers":[{"lightness":50},{"visibility":"simplified"}]}];

        var map = new google.maps.Map(document.getElementById('contact-location'), {
            zoom: 10,
            scrollwheel: false,
            center: myLatlng,
            styles: styles
        });

        var marker = new google.maps.Marker({
            position: myLatlng,
            map: map
        });
    });
</script>
</body>
</html>
